/*
 * Copyright 2018 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.kie.workbench.common.dmn.client.resources;

import org.kie.workbench.common.dmn.client.shape.view.decisionservice.DecisionServiceSVGShapeView;
import org.kie.workbench.common.stunner.svg.client.shape.view.SVGPrimitiveShape;
import org.kie.workbench.common.stunner.svg.client.shape.view.SVGShapeView;
import org.kie.workbench.common.stunner.svg.client.shape.view.factory.SVGShapeViewBuilder;

public class DMNDecisionServiceSVGViewFactoryBuilder implements SVGShapeViewBuilder {

    @Override
    public SVGShapeView build(final String name,
                              final SVGPrimitiveShape primitiveShape,
                              final double width,
                              final double height,
                              final boolean resizable) {
        return new DecisionServiceSVGShapeView(name,
                                               primitiveShape,
                                               width,
                                               height,
                                               resizable);
    }
}
